Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133184 - Stored procedure can't be removed
Stored procedure can't be removed
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: John Baker
issues@db
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 10:37 UTC by Roman Mostyka
Modified: 2008-07-10 17:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
jemmy log file (64.93 KB, text/plain)
2008-04-29 07:36 UTC, John Baker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-04-18 10:37:37 UTC
1. Add MySQL DB.
2. Create stored procedure.
3. Rightclick "DB > Procedures > your_procedure", choose "Delete" and click "Yes" in confirmation dialog.

Result: "command dropProcedureCommand is not supported by system" error message appears and procedure can't be removed.
Comment 1 David Vancouvering 2008-04-19 01:26:09 UTC
I think Delete should be disabled for now, since it's not supported in the underlying implementation.  I don't think
this has ever worked.
Comment 2 John Baker 2008-04-29 07:36:49 UTC
Created attachment 60784 [details]
jemmy log file
Comment 3 John Baker 2008-04-29 07:37:18 UTC
sorry attached the wrong file
Comment 4 John Baker 2008-05-01 02:17:31 UTC
removed Delete menuitem
http://hg.netbeans.org/main?cmd=changeset;node=fb378c56a5eb
Comment 5 Quality Engineering 2008-05-02 04:50:19 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #170 build
Changeset: http://hg.netbeans.org/main/rev/fb378c56a5eb
User: John Baker <jbaker@netbeans.org>
Log: #133184 Stored procedure can't be removed
Comment 6 Roman Mostyka 2008-05-04 11:34:00 UTC
Verified with build 080501.
Comment 7 pgebauer 2008-06-03 20:38:10 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/5468bf362fbf


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo